<jsp:directive.page pageEncoding="UTF-8" />
<!-- DB検索 SQL文記述 debug="true" でSQL文を確認できます。-->
<og:query command="{@command}" debug="{@debug}" notfoundMsg = "" maxRowCount="0">
		select  a.TAGNAME,b.HTMLEXT,b.DESCRIPTION,a.BODYCONTENT
		from    GF21 a left outer join GF23 b
		on		a.VERNO		= b.VERNO
		and		a.TAGCLASS	= b.TAGCLASS
	<og:where>
		<og:and value = "a.VERNO	= '{@VERNO}'"	/>
		<og:and value = "a.PRE_FIX	= '{@PRE_FIX}'"	/>
	</og:where>
	order by a.VERNO,a.TAGNAME
</og:query>

<!-- ColumnEditorTagを使用すると、登録画面の入力フィールドで、入力の必須状態を表したり(must="true"を使用)、 -->
<!-- DBからの検索結果を、コンボボックスでプルダウン表示させる(editor="DBMENU"を使用)ことが可能となります。 -->

<og:viewMarker command="{@command}">
	<og:columnMarker column="TAGNAME" >
		<a name="TAG_[TAGNAME]" />
		<a href="#VAL_[TAGNAME]" alt="[TAGNAME]">[TAGNAME]</a>
	</og:columnMarker>
</og:viewMarker>

<div style="font-size: x-large">
	<og:message lbl="TAGNAME" />
	(<og:message lbl="VERNO" /> <og:message lbl="{@VERNO}" />)
</div>

<og:view
	viewFormType = "HTMLTable"
	command		= "{@command}"
	writable	= "false"
	pageSize	= "100000"
	headerSkipCount	= "0"
	backLinkCount	= "10"
	useTableSorter	= "false"
	useScrollBar	= "false"
	numberType		= "delete"
/>

<div style="page-break-before: always" ></div>

<og:query command="{@command}" debug="{@debug}" notfoundMsg = "" maxRowCount="0">
		select  a.VERNO,a.PRE_FIX || ':' || a.TAGNAME as TAGNAME2,
				a.PRE_FIX,a.TAGNAME,a.SEQ,a.VALUENAME,a.REQUIRED,
				b.DESCRIPTION,b.HTMLEXT,c.BODYCONTENT,'0' as DATAKEY
		from    GF22 a left outer join GF24 b
		on		a.VERNO		= b.VERNO
		and		a.TAGCLASS	= b.TAGCLASS
		and		a.VALUENAME	= b.VALUENAME
		and		a.FGJ		= b.FGJ
					left outer join GF21 c
					on	a.VERNO		= c.VERNO
					and	a.PRE_FIX	= c.PRE_FIX
					and	a.TAGNAME	= c.TAGNAME
	<og:where>
		<og:and value = "a.VERNO		like '{@VERNO}%'"		/>
		<og:and value = "a.PRE_FIX		=    '{@PRE_FIX}'"		/>
		<og:and value = "a.TAGNAME		like '{@TAGNAME}%'"		/>
		<og:and value = "a.VALUENAME	like '{@VALUENAME}%'"	/>
		<og:and value = "b.DESCRIPTION	like '%{@DESCRIPTION}%'" />
		<og:and value = "a.FGJ			in	( '0','1' )"		/>
	</og:where>
		union
		select VERNO,PRE_FIX || ':' || TAGNAME as TAGNAME2,
				PRE_FIX,TAGNAME,99 as SEQ,'' as VALUENAME,'' as REQUIRED,
				'' as DESCRIPTION,'' as HTMLEXT,
				BODYCONTENT,BODYCONTENT as DATAKEY
		from GF21
	<og:where>
		<og:and value = "VERNO		like '{@VERNO}%'"	/>
		<og:and value = "PRE_FIX	=    '{@PRE_FIX}'"	/>
		<og:and value = "TAGNAME	like '{@TAGNAME}%'"	/>
		<og:and value = "FGJ		in   ( '0','1' )"	/>
	</og:where>
	order by 1,4,5
</og:query>

<og:viewMarker command="{@command}">
	<og:columnMarker column="TAGNAME2" >
		<a name="VAL_[TAGNAME]" />
		<a href="#TAG_[TAGNAME]" alt="[TAGNAME]">[TAGNAME2]</a>
	</og:columnMarker>
	<og:columnMarker column="VALUENAME"  onMark="[VALUENAME]"
			markList="chartClass|dbType|editor|queryType|readerClass|renderer|viewFormType|writerClass|calDB|" >
		<a name="VAL_[VALUENAME]" />
		<a href="#CLS_[VALUENAME]" alt="[VALUENAME]">[VALUENAME]</a>
	</og:columnMarker>
	<og:columnMarker column="DESCRIPTION"  onMark="[REQUIRED]" markList="1" >
		<span style="color:green;">[DESCRIPTION]({@LBL.REQUIRED})</span>
	</og:columnMarker>
</og:viewMarker>

<div style="font-size: x-large">
	<og:message lbl="VALUENAME" />
	(<og:message lbl="VERNO" /> <og:message lbl="{@VERNO}" />)
</div>
<og:view
	viewFormType = "HTMLCustomTable"
	command		= "{@command}"
	writable	= "false"
	startNo		= "{@startNo}"
	pageSize	= "1000000"
	rowspan		= "1"
	numberType	= "delete"
	useTableSorter	= "false"
	useScrollBar	= "false"
>
	<og:thead rowspan="1" >
		<tr><td>　</td><td>[VALUENAME]</td><td>[REQUIRED]</td><td>[DESCRIPTION]</td></tr>
	</og:thead>

	<og:tbody usableKey="SEQ" usableList="1" rowspan="1">
		<tr><td colspan="2">&lt;[TAGNAME2]</td><td colspan="2" /></tr>
	</og:tbody>

	<og:tbody usableKey="DATAKEY" usableList="0" rowspan="1">
		<tr><td>　　</td><td>[VALUENAME]</td>
			<td>[REQUIRED]</td><td>[DESCRIPTION]</td></tr>
	</og:tbody>

	<og:tbody usableKey="DATAKEY" usableList="1" rowspan="2">
		<tr><td>&gt;</td><td>... Body ...</td><td colspan="2" /></tr>
		<tr><td colspan="2">&lt;/[TAGNAME2]&gt;</td><td colspan="2" /></tr>
		<tr><td colspan="4">　</td></tr>
	</og:tbody>

	<og:tbody usableKey="DATAKEY" usableList="2|3" rowspan="1">
		<tr><td colspan="2">/&gt;</td><td colspan="2" /></tr>
		<tr><td colspan="4">　</td></tr>
	</og:tbody>

</og:view>

<div style="page-break-before: always" ></div>

<og:query command="{@command}" debug="{@debug}" notfoundMsg = "" maxRowCount="0">
		select  VALUENAME,ATTKEY,DESCRIPTION
		from    GF25
	<og:where>
		<og:and value = "VERNO      =    '{@VERNO}'"        />
		<og:and value = "FGJ in ( '0','1' )"                    />
	</og:where>
	order by VERNO,SEQ,ATTKEY
</og:query>

<og:viewMarker command="{@command}">
	<og:columnMarker column="VALUENAME" >
		<a name="CLS_[VALUENAME]" />
		<a href="#VAL_[VALUENAME]" alt="[VALUENAME]">[VALUENAME]</a>
	</og:columnMarker>
</og:viewMarker>

<div style="font-size: x-large">
	<og:message lbl="ATTCLASS" />
	(<og:message lbl="VERNO" /> <og:message lbl="{@VERNO}" />)
</div>
<og:view
	viewFormType = "HTMLTable"
	command 	 = "{@command}"
	writable     = "false"
	pageSize     = "1000"
	headerSkipCount = "0"
	backLinkCount   = "10"
	useTableSorter	= "false"
	useScrollBar	= "false"
/>
